NSX-T Data Center REST API

Update Security Profile

Performs partial updates to an existing VPC Security Profile.
This operation allows modification of specific security profile properties such as north-south firewall
enablement status. It does not allow updating the security strategy defined in the east-west firewall settings.
Note: Users can modify existing security profiles but cannot create new custom security profiles.

Request:

Method:
PUT
URI Path(s):
/policy/api/v1/orgs/{org-id}/projects/{project-id}/vpc-security-profiles/{vpc-security-profile-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
VpcSecurityProfile+

Example Request:

PUT https://<policy-mgr>/policy/api/v1/orgs/default/projects/project-1/vpc-security-profiles/default { "north_south_firewall": { "enabled": true } "east_west_firewall": { "security_strategies":[ "/orgs/default/projects/project-1/vpc-security-strategies/allow_egress_block_ingress" ] }, "_revision": 0 }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
VpcSecurityProfile+

Required Permissions:

crud

Feature:

policy_edge_fw

Additional Errors: